Bug 19349 - kernel panics on Athlon/Biostar
kernel panics on Athlon/Biostar
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-18 19:15 EDT by charles_fisher
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 17:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description charles_fisher 2000-10-18 19:15:43 EDT
Red Hat 7 is locking up on my Biostar M7MKA motherboard with an AMD Athlon
650.

Sometimes X will freeze; remote telnet/ssh/ping attempts receive no reply.

In burning a CD in single-user mode, a kernel oops or other panic will
sometimes be generated; please email if you want the exact text of one of
these failures.

Below is /proc/cpuinfo:

processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 1
model name	: AMD-K7(tm) Processor
stepping	: 2
cpu MHz		: 648.748
cache size	: 512 KB
fdiv_bug	: no
hlt_bug		: no
sep_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr 6 mce cx8 sep mtrr pge 14 cmov fcmov 22 mmx
30 3dnow
bogomips	: 1294.34

Below is the output of lsmod:

[cfisher@dominique net]$ /sbin/lsmod
Module                  Size  Used by
ide-cd                 23628   0 (autoclean)
lockd                  31176   1 (autoclean)
sunrpc                 52964   1 (autoclean) [lockd]
old_tulip              25464   1 (autoclean)
agpgart                18600   0 (unused)
nls_cp437               3876   2 (autoclean)
vfat                    9404   1 (autoclean)
fat                    30688   1 (autoclean) [vfat]
emu10k1                42952   0
soundcore               2596   4 [emu10k1]
mousedev                3660   0 (unused)
hid                    11424   0 (unused)
input                   2972   0 [mousedev hid]
usb-ohci               12360   0 (unused)
usbcore                42088   1 [hid usb-ohci]

Below is the output of dmesg:

Linux version 2.2.16-22 (root@porky.devel.redhat.com) (gcc version
egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)) #1 Tue Aug 22 16:49:06
EDT 2000
Detected 648748 kHz processor.
ide_setup: hdd=ide-scsi
Console: colour VGA+ 80x25
Calibrating delay loop... 1294.34 BogoMIPS
Memory: 127764k/131008k available (1048k kernel code, 408k reserved, 1724k
data, 64k init, 0k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 131072 (order 7, 512k)
Page cache hash table entries: 32768 (order 5, 128k)
VFS: Diskquotas version dquot_6.4.0 initialized
CPU: L1 I Cache: 64K  L1 D Cache: 64K
CPU: L2 Cache: 512K
CPU: AMD AMD-K7(tm) Processor stepping 02
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xfb5c0
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Enabling I/O for device 00:00
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 131072 bhash 65536)
Linux IP multicast router 0.06 plus PIM-SM
Initializing RT netlink socket
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.13)
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
PCI_IDE: unknown IDE controller on PCI bus 00 device 39, VID=1022, DID=7409
PCI_IDE: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:DMA
hda: Maxtor 92041U4, ATA DISK drive
hdc: ASUS CD-S360, ATAPI CDROM drive
hdd: CR-2801TE, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: Maxtor 92041U4, 19541MB w/512kB Cache, CHS=2491/255/63
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :  1466.088 MB/sec
   p5_mmx    :  1678.305 MB/sec
   8regs     :   864.108 MB/sec
   32regs    :   706.755 MB/sec
using fastest function: p5_mmx (1678.305 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 64k freed
Adding Swap: 72252k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-ohci.c: USB OHCI at membase 0xc8026000, IRQ 12
usb.c: new USB bus registered, assigned bus number 1
usb.c: USB new device connect, assigned device number 1
hub.c: USB hub found
hub.c: 4 ports detected
usb.c: USB new device connect, assigned device number 2
usb.c: This device is not recognized by any installed USB driver.
usb.c: registered new driver hid
input0: USB HID v1.10 Mouse [Logitech USB Mouse] on usb1:2.0
mouse0: PS/2 mouse device for input0
mice: PS/2 mouse device common for all mice
Creative EMU10K1 PCI Audio Driver, version 0.6, 16:53:07 Aug 22 2000
emu10k1: EMU10K1 rev 7 model 0x8027 found, IO at 0xe800-0xe81f, IRQ 10
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 94M
agpgart: Detected AMD Irongate chipset
agpgart: AGP aperture is 128M @ 0xd0000000
tulip.c:v0.89H 5/23/98 becker@cesdis.gsfc.nasa.gov
eth0: Digital DS21140 Tulip at 0xe400, 00 00 c0 a2 d2 f2, IRQ 11.
eth0:  EEPROM default media type Autosense.
eth0:  Index #0 - Media MII (#11) described by a 21140 MII PHY (1) block.
eth0:  MII transceiver found at MDIO address 3, config 3100 status 7829.
eth0:  Advertising 01e1 on PHY 3, previously advertising 01e1.
eth0:  Advertising 01e1 on PHY 0 (3).
eth0: Using user-specified media MII.
eth0:  Advertising 01e1 on PHY 0 (3).
hdc: ATAPI 36X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.10
hdd: driver not present

(This from later modprobe ide-scsi):

scsi0 : SCSI host adapter emulation for IDE ATAPI devices
scsi : 1 host.
  Vendor: MITSUMI   Model: CR-2801TE         Rev: 1.10
  Type:   CD-ROM                             ANSI SCSI revision: 02
Detected scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 8x/8x writer xa/form2 cdda tray

The Mitsumi CD recorder is pretty old; cdrecord produces lots of kernel IDE
errors during the fixation stage.

I've been pretty dedicated to the Red Hat product for some time. I hope
this problem is easy to resolve.
Comment 1 charles_fisher 2000-10-19 23:23:24 EDT
Downgraded to kernel 2.2.16-3.i686.rpm (6.2 errata version) with rpm -ivh
--force. Things seem much more stable, but I would like to be using the latest
and greatest.
Comment 2 Alan Cox 2000-10-27 12:48:45 EDT
Please provide info on the panics. I'd also be interested in what installing
running memtest86 says
Comment 3 charles_fisher 2000-10-29 09:57:35 EST
I installed memtest86 and ran one pass with no errors (why couldn't I compile it
under 7.0?).

Below is what I copied down from a kernel panic (I wish Linux would save this
info to swap and restore it at next boot like other unixen):

CPU: 0
EIP: 0010:[<ffffffff>]
EFLAGS: 00010286
eax: 00000011 ebx: c7f98aa0 ecx: 00000000 edx: 00000001

...

Code: Bad EIP value.
Aiee, killing interrupt handler
Kernel panic: Attempted to kill the idle task!
In swapper task - not syncing
Comment 4 Need Real Name 2000-11-03 10:25:53 EST
I am also getting the same results on 2 seperate Athalon machines.  One is a 550
and the other is an IBM Aptiva 880 with an 800 Mhz.

The 550 is also equipped with a CDR.

Comment 5 Bernhard Ege 2001-01-17 09:45:52 EST
I experienced random lockups as well. I am using the Athlon Classic 500MHz with
the AMD 750 chipset. My problem was solved when I removed the usb modules.
Apparently there is a bug in them which causes random lockups. I did trace a
kernel panic but it showed originated from the agpgart module, which was not the
problem. Remove the usb modules and you might have a stable system as well.
See bug <A
HREF=http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=18510>18510</A>.
Comment 6 Alan Cox 2003-06-05 17:58:17 EDT
The old old USB issues are believed long dead, reopen if not

Note You need to log in before you can comment on or make changes to this bug.